Subject: Re: linux-next: build warning after merge of the hwmon-staging tree

From: Lee Jones <[email-masked]>
Date: Thu, 10 Feb 2022 18:07:39 +0000

On Thu, 10 Feb 2022, Guenter Roeck wrote:

> Hi Lee,
> 
> On 2/10/22 00:50, Lee Jones wrote:
> > On Thu, 10 Feb 2022, Stephen Rothwell wrote:
> > 
> > > Hi all,
> > > 
> > > After merging the hwmon-staging tree, today's linux-next build (htmldocs)
> > > produced this warning:
> > > 
> > > Documentation/hwmon/sy7636a-hwmon.rst:4: WARNING: Title underline too short.
> > > 
> > > Kernel driver sy7636a-hwmon
> > > =========================
> > > 
> > > Introduced by commit
> > > 
> > >    de34a4053250 ("hwmon: sy7636a: Add temperature driver for sy7636a")
> > 
> > Oh wow, that's new (to me), and a little petty, no?
> > 
> > Would you like me to apply this patch to my branch Guenter?
> > 
> 
> It would be great if you can do that since you already wrote it.
> 
> > I can either send out a new PR, or let it wallow.
> > 
> Wallow is fine with me; that can go in through your branch.
> 
> Actually, I wonder if I should just drop your immutable branch from
> my tree and let it go in through your tree. The hwmon patch has my Acked-by:
> already, and there are no further dependencies, so it isn't really necessary
> for both of us to carry it. What do you think ?

That's your call to make. :)

The patch is going in, either way.

-- 
Lee Jones [李琼斯]
Principal Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog